Package org.apache.commons.imaging.icc

# Enum IccTagTypes

java.lang.Object
java.lang.Enum<IccTagTypes>
org.apache.commons.imaging.icc.IccTagTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<IccTagTypes>`

public enum IccTagTypes extends Enum<IccTagTypes>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `A_TO_B0_TAG`
  `A_TO_B1_TAG`
  `A_TO_B2_TAG`
  `B_TO_A0_TAG`
  `B_TO_A1_TAG`
  `B_TO_A2_TAG`
  `BLUE_MATRIX_COLUMN_TAG`
  `BLUE_TRC_TAG`
  `CALIBRATION_DATE_TIME_TAG`
  `CHAR_TARGET_TAG`
  `CHROMATIC_ADAPTATION_TAG`
  `CHROMATICITY_TAG`
  `COLORANT_ORDER_TAG`
  `COLORANT_TABLE_TAG`
  `COPYRIGHT_TAG`
  `DEVICE_MFG_DESC_TAG`
  `DEVICE_MODEL_DESC_TAG`
  `GAMUT_TAG`
  `GRAY_TRC_TAG`
  `GREEN_MATRIX_COLUMN_TAG`
  `GREEN_TRC_TAG`
  `LUMINANCE_TAG`
  `MEASUREMENT_TAG`
  `MEDIA_BLACK_POINT_TAG`
  `MEDIA_WHITE_POINT_TAG`
  `NAMED_COLOR_2_TAG`
  `OUTPUT_RESPONSE_TAG`
  `PREVIEW_0_TAG`
  `PREVIEW_1_TAG`
  `PREVIEW_2_TAG`
  `PROFILE_DESCRIPTION_TAG`
  `PROFILE_SEQUENCE_DESC_TAG`
  `RED_MATRIX_COLUMN_TAG`
  `RED_TRC_TAG`
  `TECHNOLOGY_TAG`
  `VIEWING_COND_DESC_TAG`
  `VIEWING_CONDITIONS_TAG`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `name`
  `final int`
  `signature`
  `final String`
  `typeDescription`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `int`
  `getSignature()`
  `String`
  `getTypeDescription()`
  `static IccTagTypes`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static IccTagTypes[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### A_TO_B0_TAG

    public static final IccTagTypes A_TO_B0_TAG

  - ### A_TO_B1_TAG

    public static final IccTagTypes A_TO_B1_TAG

  - ### A_TO_B2_TAG

    public static final IccTagTypes A_TO_B2_TAG

  - ### BLUE_MATRIX_COLUMN_TAG

    public static final IccTagTypes BLUE_MATRIX_COLUMN_TAG

  - ### BLUE_TRC_TAG

    public static final IccTagTypes BLUE_TRC_TAG

  - ### B_TO_A0_TAG

    public static final IccTagTypes B_TO_A0_TAG

  - ### B_TO_A1_TAG

    public static final IccTagTypes B_TO_A1_TAG

  - ### B_TO_A2_TAG

    public static final IccTagTypes B_TO_A2_TAG

  - ### CALIBRATION_DATE_TIME_TAG

    public static final IccTagTypes CALIBRATION_DATE_TIME_TAG

  - ### CHAR_TARGET_TAG

    public static final IccTagTypes CHAR_TARGET_TAG

  - ### CHROMATIC_ADAPTATION_TAG

    public static final IccTagTypes CHROMATIC_ADAPTATION_TAG

  - ### CHROMATICITY_TAG

    public static final IccTagTypes CHROMATICITY_TAG

  - ### COLORANT_ORDER_TAG

    public static final IccTagTypes COLORANT_ORDER_TAG

  - ### COLORANT_TABLE_TAG

    public static final IccTagTypes COLORANT_TABLE_TAG

  - ### COPYRIGHT_TAG

    public static final IccTagTypes COPYRIGHT_TAG

  - ### DEVICE_MFG_DESC_TAG

    public static final IccTagTypes DEVICE_MFG_DESC_TAG

  - ### DEVICE_MODEL_DESC_TAG

    public static final IccTagTypes DEVICE_MODEL_DESC_TAG

  - ### GAMUT_TAG

    public static final IccTagTypes GAMUT_TAG

  - ### GRAY_TRC_TAG

    public static final IccTagTypes GRAY_TRC_TAG

  - ### GREEN_MATRIX_COLUMN_TAG

    public static final IccTagTypes GREEN_MATRIX_COLUMN_TAG

  - ### GREEN_TRC_TAG

    public static final IccTagTypes GREEN_TRC_TAG

  - ### LUMINANCE_TAG

    public static final IccTagTypes LUMINANCE_TAG

  - ### MEASUREMENT_TAG

    public static final IccTagTypes MEASUREMENT_TAG

  - ### MEDIA_BLACK_POINT_TAG

    public static final IccTagTypes MEDIA_BLACK_POINT_TAG

  - ### MEDIA_WHITE_POINT_TAG

    public static final IccTagTypes MEDIA_WHITE_POINT_TAG

  - ### NAMED_COLOR_2_TAG

    public static final IccTagTypes NAMED_COLOR_2_TAG

  - ### OUTPUT_RESPONSE_TAG

    public static final IccTagTypes OUTPUT_RESPONSE_TAG

  - ### PREVIEW_0_TAG

    public static final IccTagTypes PREVIEW_0_TAG

  - ### PREVIEW_1_TAG

    public static final IccTagTypes PREVIEW_1_TAG

  - ### PREVIEW_2_TAG

    public static final IccTagTypes PREVIEW_2_TAG

  - ### PROFILE_DESCRIPTION_TAG

    public static final IccTagTypes PROFILE_DESCRIPTION_TAG

  - ### PROFILE_SEQUENCE_DESC_TAG

    public static final IccTagTypes PROFILE_SEQUENCE_DESC_TAG

  - ### RED_MATRIX_COLUMN_TAG

    public static final IccTagTypes RED_MATRIX_COLUMN_TAG

  - ### RED_TRC_TAG

    public static final IccTagTypes RED_TRC_TAG

  - ### TECHNOLOGY_TAG

    public static final IccTagTypes TECHNOLOGY_TAG

  - ### VIEWING_COND_DESC_TAG

    public static final IccTagTypes VIEWING_COND_DESC_TAG

  - ### VIEWING_CONDITIONS_TAG

    public static final IccTagTypes VIEWING_CONDITIONS_TAG

- ## Field Details

  - ### name

    public final String name

  - ### typeDescription

    public final String typeDescription

  - ### signature

    public final int signature

- ## Method Details

  - ### values

    public static IccTagTypes[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IccTagTypes valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()

  - ### getSignature

    public int getSignature()

  - ### getTypeDescription

    public String getTypeDescription()